Saxon - Bug #4544

Packages listed in -lib on Transform command line must be source XSLT, not SEF files
2020-05-05 19:35 - Michael Kay

Status: Closed Start date: 2020-05-05

Priority: Normal Due date:

Assignee: Michael Kay % Done: 100%

Category: XSLT 3.0 packages Estimated time: 0:00 hour

Sprint/Milestone: Spent time: 0:00 hour

Legacy ID: Fixed in Maintenance 10.2,9.9.1.8
Release:

Applies to branch: 10, 9.9 Platforms:

Fix Committed on 10, 9.9
Branch:

Description

I've been trying to run
net.sf.saxon.Transform -lib:package.sef
and it fails saying XTSE0150 The supplied file does not appear to be a stylesheet.

The spec for the command line says the file can be either source XSLT or a SEF file, and we try generally to allow a SEF file
anywhere source XSLT is allowed.

History

#1 - 2020-05-08 13:48 - Michael Kay

- Status changed from New to Resolved
- Applies to branch 10, 9.9 added

- Fix Committed on Branch 10, 9.9 added

Fixed on the 9.9 and 10.0 branches. Packagelnspector was already designed to handle either source XSLT or SEF; but it was leaving the location in
both cases in PackageDetails.sourcelLocation rather than PackageDetails.exportLocation, and PackageLibrary.obtainLoadedPackage() was
assuming that sourceLocation contained XSLT source.

At the same time | added some version-checking diagnostics: 9.9 checks that the SEF file isn't produced by 10.0+, and vice versa.

#2 - 2020-05-14 17:46 - O'Neil Delpratt
- % Done changed from 0 to 100

- Fixed in Maintenance Release 10.1 added

Bug fix committed in the Saxon 10.1 maintenance release.

#3 - 2020-10-22 18:19 - O'Neil Delpratt
- Status changed from Resolved to Closed
- Fixed in Maintenance Release 10.2, 9.9.1.8 added

- Fixed in Maintenance Release deleted (10.1)

Bug fix applied on the Saxon 9.9.1.8 maintenance release.
